apiVersion: apps/v1
kind: Deployment
metadata:
  name: portfolio-app
  labels:
    environment: production
spec:
  replicas: 2
  template:
    spec:
      containers:
        - name: portfolio-app
          resources:
            requests:
              memory: "80Mi"
              cpu: "50m"
            limits:
              memory: "150Mi"
